LibreOffice LibreOffice 6.2 SDK API Reference

Public Member Functions | List of all members
XSidebar Interface Reference

Interface of the sidebar that allows its elements like panels to eg request layouts. More...

`import"XSidebar.idl";`

## Public Member Functions
void | requestLayout ()
| Request layout of the sidebar. More...

## Detailed Description

Interface of the sidebar that allows its elements like panels to eg request layouts.

## Member Function Documentation

## ◆ requestLayout()

void requestLayout | ( |  | ) |

Request layout of the sidebar.

Call this method when one of the panels wants to change its size due to late initialization or different content after a context change.

The documentation for this interface was generated from the following file:

- com/sun/star/ui/XSidebar.idl